/**
 * LadeSkktx.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.files;

import java.awt.event.ActionEvent;

import javax.swing.Action;
import javax.swing.JFrame;

import eu.gronos.kostenrechner.Kostenrechner;
import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.model.LangBeschriftung;
import eu.gronos.kostenrechner.model.tenordaten.VerfahrensDatenContainer;
import eu.gronos.kostenrechner.view.BerechnungFileChooser;

/**
 * Die {@link Action} ruft einen {@link BerechnungFileChooser} auf. Der lädt die
 * Daten aller Registerkarten aus einer früher gespeicherten Berechnung (Strg+O)
 *
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class LadeSkktxAction extends BeschriebeneAktion {
	private static final long serialVersionUID = -2225698692818848010L;
	private JFrame frame;

	/**
	 * Konstruktor.
	 * 
	 * @param frame          ein {@link JFrame}, z.B. {@link Kostenrechner}
	 * @param mnemonic       {@link Action#MNEMONIC_KEY}
	 * @param acceleratorKey {@link Action#ACCELERATOR_KEY}
	 */
	public LadeSkktxAction(JFrame frame, LangBeschriftung beschriftung) {
		super(beschriftung);
		this.frame = frame;
	}
	// String name, String shortDescription, String actionCommandKey,, int mnemonic,
	// KeyStroke acceleratorKey
	// name, shortDescription, actionCommandKey,, mnemonic, acceleratorKey

	@Override
	public void actionPerformed(ActionEvent ae) {
		final BerechnungFileChooser db = new BerechnungFileChooser();
		final VerfahrensDatenContainer container = db.ladeXmlDialog(this.frame);// menu.getKostenrechner()
		if (container != null)
			new VerfahrensDatenContainer2GUI().setzeAlleWerteAusContainer(container);
	}
}