/**
 * TeilklageMethodeAction.java
 * eu.gronos.kostenrechner.view.gebuehren (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.gebuehren;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.AbstractButton;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.logic.gebuehren.MehrkostenMethode;
import eu.gronos.kostenrechner.logic.gebuehren.QuotenMethode;
import eu.gronos.kostenrechner.model.LangVorsorgeBeschriftung;
import eu.gronos.kostenrechner.view.gebuehren.TeilklageruecknahmePanel;

/**
 * Mit der {@link AbstractAction} lässt sich auswählen, ob der Tenor im Panel
 * {@link TeilklageruecknahmePanel} nach {@link QuotenMethode} oder
 * {@link MehrkostenMethode} berechnet wird.
 *
 * @author Peter Schuster (setrok)
 * @date 18 Feb 2019
 *
 */
public class TeilklageMethodeAction extends BeschriebeneAktion {

	private static final long serialVersionUID = 6046512398030660248L;
	private LangVorsorgeBeschriftung beschriftung;

	/**
	 * @param beschriftung eine {@link LangVorsorgeBeschriftung}, mit
	 *                     ({@link javax.swing.Action#MNEMONIC_KEY})
	 */
	public TeilklageMethodeAction(LangVorsorgeBeschriftung beschriftung) {
		super(beschriftung);
		this.beschriftung = beschriftung;
	}
//, int mnemonic, mnemonic, KeyEvent.VK_M

	/**
	 * Beim Klicken wird der Text des {@link AbstractButton} der Auswahl angepasst,
	 * ob {@link #nameSelected} oder {@link #nameUnselected} gesetzt werden soll.
	 * 
	 * @param e
	 * 
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		Object source = e.getSource();
		AbstractButton button;
		if (source instanceof AbstractButton) {
			button = (AbstractButton) source;
		} else {
			return;
		}
		setButtonText(button);
	}

	private void setButtonText(AbstractButton button) {
		int index = button.isSelected() ? 0 : 1;
		beschriftung.changeTo(index);
		beschriftung.applyTo(this);
	}

}
//private String nameSelected;
//private String nameUnselected;

//public TeilklageMethodeAction(String nameSelected, String nameUnselected, String shortDescription, int mnemonic,
//String actionCommandKey) {
//super(nameSelected, shortDescription, mnemonic, actionCommandKey);
//this.nameSelected = nameSelected;
//this.nameUnselected = nameUnselected;
//}

//		if (button.isSelected()) {
//			button.setText(beschriftung.getAlternativeTitles().get(0));
// nameSelected);
//		} else {
//			button.setText(beschriftung.getAlternativeTitles().get(1));
// nameUnselected);
//		}
